<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="common.xsl"/>
	<xsl:template match="class">
		<HTML>
			<xsl:call-template name="header"/>
			<BODY>
				<H1>class <xsl:value-of select="@name"/></H1>
				<xsl:if test="@extends">
					<B>Extends </B><xsl:value-of select="@extends"/>
					<xsl:if test="include">
						<BR/>
					</xsl:if>
				</xsl:if>
				<xsl:if test="include">
					<B>Includes </B>
					<xsl:apply-templates select="include">
						<xsl:sort select="@ref" data-type="text" order="ascending"/>
					</xsl:apply-templates>
				</xsl:if>

				<HR/>

				<xsl:copy-of select="text()"/>
				<xsl:call-template name="body"/>
			</BODY>
		</HTML>	
	</xsl:template>
</xsl:stylesheet>
